Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040EncompassingEncounter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040EncompassingEncounterImpl

    public interface POCDMT000040EncompassingEncounter

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Encompassing Encounter'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Effective Time`
- `Discharge Disposition Code`
- `Responsible Party`
- `Encounter Participant`
- `Location`
- `Class Code`
- `Mood Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040EncompassingEncounter()`

Method Summary
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CE` | `getCode()` Returns the value of the 'Code' containment reference.
`CE` | `getDischargeDispositionCode()` Returns the value of the 'Discharge Disposition Code' containment reference.
`IVLTS` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference.
`org.eclipse.emf.common.util.EList` | `getEncounterParticipant()` Returns the value of the 'Encounter Participant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`POCDMT000040Location` | `getLocation()` Returns the value of the 'Location' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getMoodCode()` Returns the value of the 'Mood Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`POCDMT000040ResponsibleParty` | `getResponsibleParty()` Returns the value of the 'Responsible Party' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetMoodCode()` Returns whether the value of the '`Mood Code`' attribute is set.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CE value)` Sets the value of the '`Code`' containment reference.
`void` | `setDischargeDispositionCode(CE value)` Sets the value of the '`Discharge Disposition Code`' containment reference.
`void` | `setEffectiveTime(IVLTS value)` Sets the value of the '`Effective Time`' containment reference.
`void` | `setLocation(POCDMT000040Location value)` Sets the value of the '`Location`' containment reference.
`void` | `setMoodCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Mood Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setResponsibleParty(POCDMT000040ResponsibleParty value)` Sets the value of the '`Responsible Party`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetMoodCode()` Unsets the value of the '`Mood Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EncompassingEncounter_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EncompassingEncounter_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EncompassingEncounter_Id()`

### getCode

    CE getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CE)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_Code()`

### setCode

    void setCode(CE value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getEffectiveTime

    IVLTS getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference.

  If the meaning of the 'Effective Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_EffectiveTime()`

### setEffectiveTime

    void setEffectiveTime(IVLTS value)

  Sets the value of the '`Effective Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Effective Time' containment reference.
  See Also:
    `getEffectiveTime()`

### getDischargeDispositionCode

    CE getDischargeDispositionCode()

  Returns the value of the 'Discharge Disposition Code' containment reference.

  If the meaning of the 'Discharge Disposition Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Discharge Disposition Code' containment reference.
  See Also:
    `setDischargeDispositionCode(CE)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_DischargeDispositionCode()`

### setDischargeDispositionCode

    void setDischargeDispositionCode(CE value)

  Sets the value of the '`Discharge Disposition Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Discharge Disposition Code' containment reference.
  See Also:
    `getDischargeDispositionCode()`

### getResponsibleParty

    POCDMT000040ResponsibleParty getResponsibleParty()

  Returns the value of the 'Responsible Party' containment reference.

  If the meaning of the 'Responsible Party' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Responsible Party' containment reference.
  See Also:
    `setResponsibleParty(POCDMT000040ResponsibleParty)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_ResponsibleParty()`

### setResponsibleParty

    void setResponsibleParty(POCDMT000040ResponsibleParty value)

  Sets the value of the '`Responsible Party`' containment reference.

  Parameters:
    `value` - the new value of the 'Responsible Party' containment reference.
  See Also:
    `getResponsibleParty()`

### getEncounterParticipant

    org.eclipse.emf.common.util.EList getEncounterParticipant()

  Returns the value of the 'Encounter Participant' containment reference list. The list contents are of type `POCDMT000040EncounterParticipant`.

  If the meaning of the 'Encounter Participant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encounter Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EncompassingEncounter_EncounterParticipant()`

### getLocation

    POCDMT000040Location getLocation()

  Returns the value of the 'Location' containment reference.

  If the meaning of the 'Location' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' containment reference.
  See Also:
    `setLocation(POCDMT000040Location)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_Location()`

### setLocation

    void setLocation(POCDMT000040Location value)

  Sets the value of the '`Location`' containment reference.

  Parameters:
    `value` - the new value of the 'Location' containment reference.
  See Also:
    `getLocation()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"ENC"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### getMoodCode

    org.eclipse.emf.common.util.Enumerator getMoodCode()

  Returns the value of the 'Mood Code' attribute. The default value is `"EVN"`.

  If the meaning of the 'Mood Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `setMoodCode(Enumerator)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_MoodCode()`

### setMoodCode

    void setMoodCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Mood Code`' attribute.

  Parameters:
    `value` - the new value of the 'Mood Code' attribute.
  See Also:
    `isSetMoodCode()`, `unsetMoodCode()`, `getMoodCode()`

### unsetMoodCode

    void unsetMoodCode()

  Unsets the value of the '`Mood Code`' attribute.

  See Also:
    `isSetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### isSetMoodCode

    boolean isSetMoodCode()

  Returns whether the value of the '`Mood Code`' attribute is set.

  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `unsetMoodCode()`, `getMoodCode()`, `setMoodCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040EncompassingEncounter_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD